function onCreate()

	-- background shit

	makeLuaSprite('BG', 'DAZEbg', 0, 0);
	setScrollFactor('BG', 1, 1);
	addLuaSprite('BG', false);

	makeLuaSprite('BG2', 'DAZEbg2', 0, 0);
	setScrollFactor('BG2', 1, 1);
          setProperty('BG2.visible', false)
	addLuaSprite('BG2', false);

	makeLuaSprite('BG5', 'OSFbg', 0, 0);
	setScrollFactor('BG5', 1, 1);
          setProperty('BG5.visible', false)
	addLuaSprite('BG5', false);

	makeLuaSprite('BG3', 'DAZEbgM', 0, 0);
	setScrollFactor('BG3', 1, 1);
          setProperty('BG3.visible', false)
	addLuaSprite('BG3', false);

	makeLuaSprite('BG4', 'BlackBGdaze', 0, 0);
	setScrollFactor('BG4', 1, 1);
          setProperty('BG4.visible', false)
	addLuaSprite('BG4', false);

	makeAnimatedLuaSprite('6','XBang', 200,200)
	addAnimationByPrefix('6','idle','idle',8,true)
	objectPlayAnimation('6','idle',false)
	scaleObject('6', 3, 3);
          setProperty('6.visible', false)
	addLuaSprite('6',false)

	makeAnimatedLuaSprite('7','randomgif', 200,200)
	addAnimationByPrefix('7','idle','idle',8,true)
	objectPlayAnimation('7','idle',false)
	scaleObject('7', 3, 3);
          setProperty('7.visible', false)
	addLuaSprite('7',false)
	
end


function onStepHit()
	if curStep == 1 then
	setProperty('camGame.alpha', 0);
	end
	if curStep == 131 then
	setProperty('camGame.alpha', 1);
	end

	if curStep == 763 then
	setProperty('camGame.alpha', 0);
	end

	if curStep == 771 then
	setProperty('camGame.alpha', 1);
          setProperty('6.visible', true);
          setProperty('BG2.visible', true);
	end

	if curStep == 1027 then
          setProperty('6.visible', false);
          setProperty('BG2.visible', false);
	end


	if curStep == 1658 then
	setProperty('camGame.alpha', 0);
	end

	if curStep == 1667 then
	setProperty('camGame.alpha', 1);
          setProperty('6.visible', true);
          setProperty('BG2.visible', true);
	end

	if curStep == 1924 then
          setProperty('6.visible', false);
          setProperty('BG2.visible', false);
          setProperty('BG3.visible', true);
	end

	if curStep == 2050 then
          setProperty('7.visible', true);
	end

	if curStep == 2179 then
          setProperty('7.visible', false);
          setProperty('BG3.visible', false);
          setProperty('BG4.visible', true);
	end


	if curStep == 2403 then
	setProperty('camGame.alpha', 0);
       setProperty('BG4.visible', false);
       setProperty('BG5.visible', true);
	end

	if curStep == 2420 then
	setProperty('camGame.alpha', 1);
	end
	if curStep == 2436 then
          setProperty('6.visible', true);
          setProperty('BG2.visible', true);
          setProperty('BG5.visible', false);
	end

	if curStep == 2687 then
	setProperty('camGame.alpha', 0);
          setProperty('6.visible', false);
          setProperty('BG2.visible', false);
	end
	if curStep == 2820 then
	setProperty('camGame.alpha', 1);
       setProperty('BG5.visible', true);
	end

	if curStep == 3068 then
	setProperty('camGame.alpha', 0);
	end
end